Loading...
Searching...
No Matches
BALL::RelPolarVdWSurface Class Reference

`#include <BALL/QSAR/surfaceDescriptors.h>`

Inheritance diagram for BALL::RelPolarVdWSurface:

## Public Member Functions

Constructors and Destructors
| RelPolarVdWSurface ()
| RelPolarVdWSurface (const RelPolarVdWSurface &rps)
virtual | ~RelPolarVdWSurface ()
Assignment
RelPolarVdWSurface & | operator= (const RelPolarVdWSurface &rps)
Accessors
double | compute (AtomContainer &ac)
Public Member Functions inherited from BALL::SurfaceBase
| SurfaceBase ()
| SurfaceBase (const SurfaceBase &sb)
| SurfaceBase (const String &name)
| SurfaceBase (const String &name, const String &unit)
virtual | ~SurfaceBase ()
SurfaceBase & | operator= (const SurfaceBase &sb)
void | computeAllDescriptors (AtomContainer &ac)
Public Member Functions inherited from BALL::Descriptor
| Descriptor ()
| Descriptor (const Descriptor &descriptor)
| Descriptor (const String &name)
| Descriptor (const String &name, const String &unit)
virtual | ~Descriptor ()
Descriptor & | operator= (const Descriptor &descriptor)
Processor::Result | operator() (AtomContainer &ac)
const String & | getName () const
void | setName (const String &name)
void | setUnit (const String &name)
const String & | getUnit () const
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
Protected Member Functions inherited from BALL::SurfaceBase
bool | isValid_ (AtomContainer &ac)
void | calculate_ (AtomContainer &ac)

## Detailed Description

This descriptor returns the fraction of the atomic SAS van der Waals surface, where the atoms are polar. It is calculated by deviding the polar van der Waals surface by the van der Waals surface of the molecule.

Definition at line 463 of file surfaceDescriptors.h.

## Constructor & Destructor Documentation

## RelPolarVdWSurface() [1/2]

BALL::RelPolarVdWSurface::RelPolarVdWSurface | ( |  | ) |

Default Constructor

## RelPolarVdWSurface() [2/2]

BALL::RelPolarVdWSurface::RelPolarVdWSurface | ( | const RelPolarVdWSurface & | rps | ) |

Copy constructor

## ~RelPolarVdWSurface()

virtual BALL::RelPolarVdWSurface::~RelPolarVdWSurface | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## compute()

double BALL::RelPolarVdWSurface::compute | ( | AtomContainer & | ac | ) |

virtual

Reimplemented from BALL::Descriptor.

## operator=()

RelPolarVdWSurface & BALL::RelPolarVdWSurface::operator= | ( | const RelPolarVdWSurface & | rps | ) |

Assignment operator